# $Revision: 1.76.2.2 $, $Date: 2011/11/03 19:26:54 $
Summary:	Very easy to use GNOME Telepathy client
Summary(pl.UTF-8):	Bardzo łatwy w użyciu klient Telepathy dla GNOME
Name:		empathy
Version:	2.32.1
Release:	4
License:	GPL v2
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/empathy/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	09e7d72cd58a5f776b5097e7d5596095
Patch0:		configure.patch
Patch1:		%{name}-telepathy-logger.patch
Patch2:		%{name}-folks.patch
URL:		http://live.gnome.org/Empathy
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	NetworkManager-devel >= 0.7.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	clutter-gtk-devel >= 0.10.0
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	docbook-dtd412-xml
BuildRequires:	enchant-devel >= 1.2.0
BuildRequires:	evolution-data-server-devel >= 2.24.0
BuildRequires:	farsight2-devel
BuildRequires:	folks-devel >= 0.4.0
BuildRequires:	geoclue-devel >= 0.11
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.18.0
BuildRequires:	gnome-keyring-devel >= 2.26.0
BuildRequires:	gnutls-devel >= 2.8.5
BuildRequires:	gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gtk+2-devel >= 2:2.22.0
BuildRequires:	gtk-webkit-devel >= 1.1.15
BuildRequires:	intltool >= 0.40.0
BuildRequires:	iso-codes >= 0.35
BuildRequires:	libcanberra-gtk-devel >= 0.4
BuildRequires:	libchamplain-devel >= 0.8.0
BuildRequires:	libgnome-keyring-devel >= 2.26.0
BuildRequires:	libnotify-devel >= 0.4.4
BuildRequires:	libtool
BuildRequires:	libunique-devel >= 1.1.2
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	nautilus-sendto-devel >= 2.32.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	sed >= 4.0
BuildRequires:	telepathy-farsight-devel >= 0.0.14
BuildRequires:	telepathy-glib-devel >= 0.12.0
BuildRequires:	telepathy-logger-devel >= 0.1.5
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk+2 >= 2:2.12.0
Requires(post,postun):	hicolor-icon-theme
Requires:	telepathy-logger >= 0.2.0
Requires:	telepathy-mission-control
Suggests:	telepathy-butterfly
Suggests:	telepathy-gabble
Suggests:	telepathy-haze
Suggests:	telepathy-idle
Suggests:	telepathy-salut
Suggests:	telepathy-sofiasip
Obsoletes:	empathy-apidocs < 2.29.1
Obsoletes:	empathy-devel < 2.29.1
Obsoletes:	empathy-libs < 2.29.1
Obsoletes:	gnome-jabber
Obsoletes:	python-empathy < 2.29.1
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Empathy aims at making Instant Messaging with Jabber as easy as
possible.

%description -l pl.UTF-8
Celem Empathy jest uczynienie komunikowania poprzez Jabbera tak łatwym
jak to tylko możliwe.

%package -n nautilus-sendto-empathy
Summary:	Empathy support for sending files in Nautilus
Summary(pl.UTF-8):	Wsparcie Empathy przy wysyłaniu plików z Nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-sendto >= 2.32.0

%description -n nautilus-sendto-empathy
Enables sending files from Nautilus to your Empathy contacts.

%description -n nautilus-sendto-empathy -l pl.UTF-8
Pozwala na przesyłanie z Nautilusa plików do kontaktów Empathy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

rm po/en@shaw.po
sed -i 's/^en@shaw//' po/LINGUAS

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-connectivity=nm \
	--disable-schemas-install \
	--disable-silent-rules \
	--disable-static \
	--enable-favourite-contacts \
	--enable-location \
	--enable-nautilus-sendto

%{__make} -j 1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus-sendto/plugins/*.la
rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/empathy
%attr(755,root,root) %{_bindir}/empathy-accounts
%attr(755,root,root) %{_bindir}/empathy-debugger
%attr(755,root,root) %{_libexecdir}/empathy-auth-client
%attr(755,root,root) %{_libexecdir}/empathy-av
%{_datadir}/%{name}
%{_datadir}/GConf/gsettings/empathy.convert
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Empathy.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Empathy.AudioVideo.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Empathy.Auth.service
%{_datadir}/glib-2.0/schemas/org.gnome.Empathy.gschema.xml
%{_datadir}/telepathy/clients/Empathy.client
%{_datadir}/telepathy/clients/Empathy.AudioVideo.client
%{_datadir}/telepathy/clients/Empathy.Auth.client
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/empathy*.1*
%{_desktopdir}/*.desktop

%files -n nautilus-sendto-empathy
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus-sendto/plugins/libnstempathy.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: empathy.spec,v $
Revision 1.76.2.2  2011/11/03 19:26:54  hawk
- release 4

Revision 1.76.2.1  2011/11/03 19:21:38  hawk
- updated for telepathy-logger 0.2.x and folks 0.4.x API

Revision 1.76  2010/12/15 14:27:08  megabajt
- use %glib_compile_schemas
- release 2

Revision 1.75  2010/11/17 05:57:42  megabajt
- updated to 2.32.1

Revision 1.74  2010/11/01 18:16:50  megabajt
- updated to 2.32.0.1

Revision 1.73  2010/09/29 17:01:23  megabajt
- revised deps

Revision 1.72  2010/09/28 18:55:13  patrys
- 2.32.0

Revision 1.71  2010/09/04 12:19:46  patrys
- 2.31.91.1

Revision 1.70  2010/08/25 09:12:38  glen
- disable telepathy logger (patrys says it's not really useful right now, and it requires devel glib2)

Revision 1.69  2010/08/25 08:00:48  glen
- up to 2.30.3

Revision 1.68  2010/06/23 16:13:23  megabajt
- updated to 2.30.2

Revision 1.67  2010/06/10 17:03:50  glen
- up to 2.30.1.1

Revision 1.66  2010/05/12 19:14:08  sparky
- commented out unused BR: check, clutter-gtk-devel, docbook-dtd412-xml,
  gnome-panel-devel, gtk-doc, python-pygtk-devel, rpm-pythonprov,
  telepathy-mission-control-devel

Revision 1.65  2010/04/28 14:04:40  megabajt
- added configure.patch to fix build
- release 2

Revision 1.64  2010/04/27 19:07:10  patrys
- add fevourite contacts

Revision 1.63  2010/04/27 16:54:12  megabajt
- updated to 2.30.1

Revision 1.62  2010/04/27 16:22:19  glen
- R: telepathy-mission-control or you can not add any accounts; rel 2

Revision 1.61  2010/04/20 17:34:11  megabajt
- updated to 2.30.0.2

Revision 1.60  2010/04/09 15:00:20  megabajt
- updated to 2.30.0.1
- removed obsolete configure options

Revision 1.59  2010/04/02 18:43:57  sls
- BR: telepathy-glib-devel >= 0.9.2

Revision 1.58  2010/03/29 17:28:16  patrys
- merged from DEVEL

Revision 1.52.2.12  2010/03/29 17:24:59  patrys
- 2.30.0

Revision 1.52.2.11  2010/03/10 08:56:05  patrys
- 2.29.92

Revision 1.52.2.10  2010/03/09 12:27:59  patrys
- 2.29.91.2

Revision 1.52.2.9  2010/02/25 16:52:03  patrys
- 2.29.91

Revision 1.57  2010/02/20 17:14:48  sparky
- rel 3; STBR

Revision 1.56  2010/02/20 17:01:53  sparky
- force connectivity=nm so it will fail next time
- fix NetworkManager detection
- BR: docbook-dtd412-xml, rpm-pythonprov

Revision 1.55  2010/02/20 16:24:29  megabajt
- release 2

Revision 1.52.2.8  2010/02/09 09:29:30  patrys
- 2.29.90

Revision 1.52.2.7  2010/01/28 09:51:21  patrys
- 2.29.6

Revision 1.52.2.6  2010/01/12 20:25:19  patrys
- 2.29.5.1

Revision 1.52.2.5  2009/12/28 13:51:32  patrys
- 2.29.4

Revision 1.54  2009/12/14 19:37:05  megabajt
- updated to 2.28.2

Revision 1.52.2.4  2009/12/13 14:08:21  patrys
- enable sendto

Revision 1.52.2.3  2009/12/01 10:47:04  patrys
- 2.29.3

Revision 1.53  2009/11/21 19:49:47  megabajt
- updated to 2.28.1.2

Revision 1.52.2.2  2009/11/17 10:29:43  patrys
- drop R: -libs
- drop en@shaw

Revision 1.52.2.1  2009/11/17 10:19:06  patrys
- 2.29.2

Revision 1.52  2009/11/12 12:05:04  patrys
- rebuild
- rel 2

Revision 1.51  2009/11/04 20:41:39  megabajt
- updated to 2.28.1.1

Revision 1.50  2009/10/23 15:52:59  megabajt
- updated to 2.28.1

Revision 1.49  2009/09/26 16:53:21  patrys
- ca@valencia stays

Revision 1.48  2009/09/26 16:52:32  patrys
- 2.28.0

Revision 1.47.2.10  2009/09/26 16:52:13  patrys
- 2.28.0

Revision 1.47.2.9  2009/09/08 21:34:35  patrys
- 2.27.92

Revision 1.47.2.8  2009/08/13 08:15:45  patrys
- build with new clutter
- disable useless static

Revision 1.47.2.7  2009/08/12 08:42:14  patrys
- build with new clutter-gtk

Revision 1.47.2.6  2009/08/10 08:24:50  patrys
- enable geolocation support

Revision 1.47.2.5  2009/07/29 13:06:23  patrys
-2.27.5

Revision 1.47.2.4  2009/07/16 07:49:31  patrys
- 2.17.4

Revision 1.47.2.3  2009/06/16 18:40:53  patrys
- add BR: libchamplain

Revision 1.47.2.2  2009/06/15 18:31:00  patrys
- 2.27.3

Revision 1.47.2.1  2009/05/28 08:49:50  patrys
- 2.27.2

Revision 1.47  2009/05/20 18:07:43  patrys
- 2.26.2

Revision 1.46  2009/04/13 22:47:26  megabajt
- updated to 2.26.1

Revision 1.45  2009/04/03 21:05:37  patrys
- 2.26.0.1

Revision 1.44  2009/03/19 09:49:29  megabajt
- updated to 2.26.0 (new soname)

Revision 1.43  2009/02/23 22:12:22  arekm
- release 3

Revision 1.42  2008/11/06 17:00:22  arekm
- release 2

Revision 1.41  2008/10/23 20:44:17  patrys
- 2.24.1

Revision 1.40  2008/10/05 00:04:42  qwiat
- up to 2.24

Revision 1.39  2008/09/13 14:47:54  patrys
- drop python patch (we have working python-config now)

Revision 1.38  2008/09/12 21:02:41  patrys
- 2.23.92

Revision 1.37  2008/09/04 04:38:48  aredridel
- 2.23.91

Revision 1.36  2008/09/03 22:30:29  patrys
- 2.23.91

Revision 1.35  2008/08/19 10:25:19  patrys
- 2.23.90

Revision 1.34  2008/08/05 14:25:35  patrys
- 2.23.6

Revision 1.33  2008/07/23 20:58:07  patrys
- 0.23.4

Revision 1.32  2008-05-18 16:08:56  patrys
- 0.23.2

Revision 1.31  2008-04-30 21:35:23  wrobell
- ver. 0.23.1

Revision 1.30  2008-04-05 06:15:24  aredridel
- 0.22.1

Revision 1.29  2008-03-10 16:55:32  aredridel
- 0.22.0

Revision 1.28  2008-03-06 07:30:38  aredridel
- 0.21.91

Revision 1.27  2008-02-25 22:55:13  czarny
- BR: esound-devel

Revision 1.26  2008-02-10 02:33:54  aredridel
- 0.21.90

Revision 1.25  2008-01-17 04:27:17  aredridel
- 0.21.5.2

Revision 1.24  2008-01-14 16:54:54  patrys
- 0.21.5

Revision 1.23  2007-12-20 03:08:39  patrys
- 0.21.4

Revision 1.22  2007-12-17 01:40:19  aredridel
- 0.21.3

Revision 1.21  2007-11-25 00:11:30  megabajt
- added apidocs subpackage
- release 2

Revision 1.20  2007-11-14 14:35:50  megabajt
- updated to 0.21.2
- use better way to fix locale name

Revision 1.19  2007-11-04 17:06:10  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.18  2007/10/29 09:50:49  megabajt
- updated to 0.21.1

Revision 1.17  2007/10/01 15:24:37  patrys
- 0.14

Revision 1.16  2007/09/28 15:20:15  patrys
- 0.13

Revision 1.15  2007/08/26 00:17:27  qboosh
- pl for python-
- python- R: -libs

Revision 1.14  2007/08/25 23:11:01  aredridel
- BR: python-devel

Revision 1.13  2007/08/25 23:09:58  aredridel
- 0.12

Revision 1.12  2007/08/13 14:18:07  patrys
- 0.11

Revision 1.11  2007/08/04 21:54:25  qboosh
- unified

Revision 1.10  2007/07/30 11:44:22  patrys
- drop update desktop datbase, unneeded and causes bad macro expansion

Revision 1.9  2007/07/30 11:33:54  patrys
- ldconfig in post

Revision 1.8  2007/07/30 11:32:58  patrys
- update desktop database

Revision 1.7  2007/07/30 11:30:49  patrys
- 0.10

Revision 1.6  2007/06/21 21:49:54  megabajt
- updated to 0.8

Revision 1.5  2007/06/17 21:01:27  megabajt
- Suggests appropriate telepathy managers

Revision 1.4  2007/06/10 17:14:48  megabajt
- updated to 0.7
- revised deps

Revision 1.3  2007/06/10 14:19:32  megabajt
- missing BR: telepathy-mission-control-devel

Revision 1.2  2007/06/02 19:55:52  qboosh
- pl

Revision 1.1  2007/05/31 22:44:19  aredridel
- added
